ChangeSet 1.1608.84.5, 2004/03/10 16:05:50-08:00, chrisw@osdl.org

[PATCH] class_simple cleanup in misc

Error path doesn't class_simple_destroy.


 drivers/char/misc.c |    1 +
 1 files changed, 1 insertion(+)


diff -Nru a/drivers/char/misc.c b/drivers/char/misc.c
--- a/drivers/char/misc.c	Mon Mar 15 15:29:45 2004
+++ b/drivers/char/misc.c	Mon Mar 15 15:29:45 2004
@@ -342,6 +342,7 @@
 	if (register_chrdev(MISC_MAJOR,"misc",&misc_fops)) {
 		printk("unable to get major %d for misc devices\n",
 		       MISC_MAJOR);
+		class_simple_destroy(misc_class);
 		return -EIO;
 	}
 	return 0;
